# Custom Base Terms
Contributors: artprojectgroup

Donate link: https://artprojectgroup.es/tienda/donacion

Tags: permalinks, author, search, comments, pagination, page, sep, url friendly

Requires at least: 2.7

Tested up to: 6.2

Stable tag: 1.0.3

License: GPLv3

License URI: http://www.gnu.org/licenses/gpl-3.0.html

Modifique las estructuras personalizadas en las URLs para autor, búsqueda, comentarios, página y feed.

## Description
[*Español*](http://wordpress.org/plugins/custom-base-terms/) - [*English*](http://goo.gl/CKlRqe) - [*Italiano*](http://goo.gl/T3KW84) - [*Français*](http://goo.gl/eV2eGj) - [*Deutsch*](http://goo.gl/EtiDZq) 

**Custom Base Terms** genera cuatro nuevas opciones en *Ajustes -> Enlaces permanentes* donde se podrán introducir las estructuras personalizadas en las URLs para autor, búsqueda, comentarios, página y feed.

### Características
* Simple y sencillo de configurar.
* Permite crear URLs Friendly.
* Ayuda a mejorar el SEO de WordPress.
* Multilenguaje. Soporta todos los idiomas nativos de WordPress.

### Traducciones
* Español ([**Art Project Group**](https://artprojectgroup.es/)).
* English ([**Art Project Group**](https://artprojectgroup.es/)).

### Soporte técnico
**Art Project Group** te ofrece [**Soporte técnico**](https://artprojectgroup.es/tienda/ticket-de-soporte) para configurar o instalar **Custom Base Terms**. 

### Origen
**Custom Base Terms** ha sido programado a partir del plugin [*Custom Author Base*](http://wordpress.org/plugins/custom-author-base/) de [Jeff Farthing](http://profiles.wordpress.org/jfarthing84/), que aún siendo un magnífico plugin no ofrecía todas las características que necesitábamos. Aún así su trabajo ha sido completamente imprescindible para la realización de este plugin.

### Más información
En nuestro sitio web oficial puede obtener más información sobre [**Custom Base Terms**](https://artprojectgroup.es/plugins-para-wordpress/custom-base-terms). 

### Comentarios
No olvides dejarnos tu comentario en:

* [Custom Base Terms](https://artprojectgroup.es/plugins-para-wordpress/custom-base-terms) en Art Project Group.
* [Art Project Group](https://www.facebook.com/artprojectgroup) en Facebook.
* [@artprojectgroup](https://twitter.com/artprojectgroup) en Twitter.
* [+ArtProjectGroupES](https://plus.google.com/+ArtProjectGroupES/) en Google+.

### Más plugins
Recuerda que puedes encontrar más [plugins para WordPress](https://artprojectgroup.es/plugins-para-wordpress) en [Art Project Group](https://artprojectgroup.es) y en nuestro perfil en [WordPress](http://profiles.wordpress.org/artprojectgroup/).

### GitHub
Puedes seguir el desarrollo de este plugin en [Github](https://github.com/artprojectgroup/custom-base-terms).

## Instalación
1. Puedes:
 * Subir la carpeta `custom-base` al directorio `/wp-content/plugins/` vía FTP. 
 * Subir el archivo ZIP completo vía *Plugins -> Añadir nuevo -> Subir* en el Panel de Administración de tu instalación de WordPress.
 * Buscar **Custom Base Terms** en el buscador disponible en *Plugins -> Añadir nuevo* y pulsar el botón *Instalar ahora*.
2. Activar el plugin a través del menú *Plugins* en el Panel de Administración de WordPress.
3. Configurar el plugin con el botón *Ajustes* o en *Ajustes -> Enlaces permanentes*.
4. Listo, ahora ya puedes disfrutar de él, y si te gusta y te resulta útil, hacer una [*donación*](https://artprojectgroup.es/tienda/donacion).


## Preguntas frecuentes
### ¿Cómo se configura?
Sólo hay que pulsar el botón *Ajustes*, o ir a *Ajustes -> Enlaces permanentes* e indicar las nuevas estructuras personalizadas en las URLs para autor, búsqueda, comentarios y página, al igual que para categoría y etiqueta.

### Soporte técnico
Si necesitas ayuda para configurar o instalar **Custom Base Terms**, **Art Project Group** te ofrece su servicio de [**Soporte técnico**](https://artprojectgroup.es/tienda/ticket-de-soporte). 

*En ningún caso **Art Project Group** proporciona ningún tipo de soporte técnico gratuito.*

## Changelog
### 1.0.3
* Actualización de seguridad para eliminar una vulnerabilidad Cross-Site Scripting (XSS) detectada.

### 1.0.2.3
* Actualización de cabecera.
* Actualización de hoja de estilo.
* Actualización de captura de pantalla.

### 1.0.2.2
* Pequeñas modificaciones de código.

### 1.0.2.1
* Pequeñas modificaciones de código.

### 1.0.2
* Arreglo de localización.
* Actualización de cabecera.
* Actualización de hoja de estilo.
* Actualización de captura de pantalla.

### 1.0.1.1
* Actualización de enlaces de soporte y pequeñas actualizaciones.

### 1.0.1
* Actualización del paquete de fuentes. Nuevo icono de Google+.
* Actualización de las traducciones.

### 1.0
* Actualización de las traducciones.
* Nueva hoja de estilo sensible.
* Modificación de la estructura interna del plugin para ajustarse a los estándares de WordPress.
* Actualización de la captura de pantalla.

### 0.7.3
* Arreglo de error que borraba toda la configuración al desactivar el plugin.
* Corrección menor que evita la aparición de un código de error al recopilar información sobre el plugin.

### 0.7.2
* Cambio del enlace de donación.

### 0.7.1
* Corrección menor que evita la aparición de un código de error al recopilar información sobre el plugin.

### 0.7
* Añadida caché para los datos externos.
* Añadida función que limpia la caché cuando se borra el plugin.
* Cambio del botón y enlace de donación.

### 0.6
* Actualización de las hojas de estilo acorde al nuevo WordPress 8.

### 0.5
* Inclusión de nuevos botones.
* Añadido el campo Feed base.

### 0.4
* Inclusión del botón Ajustes.
* Actualización de los idiomas.

### 0.3
* Pequeñas modificaciones de código.
* Inclusión de enlaces.
* Actualización de los textos de información.
* Opción multilenguaje. 

### 0.2
* Arreglo de pequeños errores en el código fuente.

### 0.1
* Versión inicial.


## Traducciones
* *English*: by [**Art Project Group**](https://artprojectgroup.es/) (default language).
* *Español*: por [**Art Project Group**](https://artprojectgroup.es/).

## Soporte técnico
Dado que **Custom Base Terms** es totalmente gratuito, **Art Project Group** sólo proporciona el servicio de [**Soporte técnico**](https://artprojectgroup.es/tienda/ticket-de-soporte) previo pago. En ningún caso **Art Project Group** proporciona ningún tipo de soporte técnico gratuito.

## ¿Por qué está esta página en español?
Mientras WordPress no nos permita a los desarrolladores realizar esta página en más de un idioma, elegiremos siempre el español.

A pesar de que es una apuesta muy arriesgada y de que reduce mucho las posibilidades de propagación de nuestros plugins, creemos que la comunidad hispana de WordPress es lo suficientemente amplia como para abocarla al idioma inglés hasta el final de los tiempos.

Por ello regalamos a esa gran comunidad hispana nuestros plugins con interfaces, instrucciones, tutoriales, soporte y páginas web en *WordPress.org* en español.

Esperamos que os guste nuestra iniciativa.

## Donación
¿Te ha gustado y te ha resultado útil **Custom Base Terms** en tu sitio web? Te agradeceríamos una [pequeña donación](https://artprojectgroup.es/tienda/donacion) que nos ayudará a seguir mejorando este plugin y a crear más plugins totalmente gratuitos para toda la comunidad WordPress.

## Gracias
* A [Jeff Farthing](http://profiles.wordpress.org/jfarthing84/) por su gran plugin que ha inspirado **Custom Base Terms**.
* A todos los que lo usáis.
* A todos los que ayudáis a mejorarlo.
* A todos los que realizáis donaciones.
* A todos los que nos animáis con vuestros comentarios.

¡Muchas gracias a todos!